> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.codecombat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for User

> Redirects to `/users/{handle}` given a unique, identifying property



## OpenAPI

````yaml GET /user-lookup/{property}/{value}
openapi: 3.0.1
info:
  title: CodeCombat API
  version: 0.0.1
servers:
  - url: https://codecombat.com/api
    description: default
security: []
paths:
  /user-lookup/{property}/{value}:
    get:
      tags:
        - Users
      summary: Search for User
      description: Redirects to `/users/{handle}` given a unique, identifying property
      operationId: users_lookup
      parameters:
        - name: property
          in: path
          description: The property to lookup by. May either be `"israel-id"` or `"name"`.
          required: true
          schema:
            type: string
        - name: value
          in: path
          description: The value to be looked up.
          required: true
          schema:
            type: string
      responses:
        '204':
          description: ''
      security:
        - BasicAuth: []
components:
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````